package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品报关品名表（从第三方合作商拿过来的）实体
 * 表名 tb_cf_category_hs
 *
 * @author lipengjun
 * @date 2019-08-30 09:54:02
 */
public class TbCfCategoryHsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 品名id
     */
    private String categoryId;
    /**
     * 品名
     */
    private String name;
    /**
     * 商品货号（第三方的id）
     */
    private String itemNo;
    /**
     * 单价
     */
    private BigDecimal price;
    /**
     * 海关编码
     */
    private String hsCode;

    /**
     * 设置：品名id
     */
    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * 获取：品名id
     */
    public String getCategoryId() {
        return categoryId;
    }
    /**
     * 设置：品名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取：品名
     */
    public String getName() {
        return name;
    }
    /**
     * 设置：商品货号（第三方的id）
     */
    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    /**
     * 获取：商品货号（第三方的id）
     */
    public String getItemNo() {
        return itemNo;
    }
    /**
     * 设置：单价
     */
    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    /**
     * 获取：单价
     */
    public BigDecimal getPrice() {
        return price;
    }
    /**
     * 设置：海关编码
     */
    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    /**
     * 获取：海关编码
     */
    public String getHsCode() {
        return hsCode;
    }
}
